idna_to_ascii_4z(3)

NAME
idna_to_ascii_4z - API function

SYNOPSIS
#include <idna.h>

int idna_to_ascii_4z(const uint32_t * input, char ** output, int flags);

ARGUMENTS

const uint32_t * input
    zero terminated input Unicode string.

char ** output
    pointer to newly allocated output string.

int flags
    an Idna_flags value, e.g., IDNA_ALLOW_UNASSIGNED or IDNA_USE_STD3_ASCII_RULES.

DESCRIPTION
Convert UCS-4 domain name to ASCII string. The domain name may contain several labels, separated by dots. The output buffer must be deallocated by the caller. Return value: Returns IDNA_SUCCESS on success, or error code.

REPORTING BUGS
Report bugs to <help-libidn@gnu.org>.
General guidelines for reporting bugs: https://www.gnu.org/gethelp/
GNU Libidn home page: https://www.gnu.org/software/libidn/

COPYRIGHT
Copyright © 2002-2026 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for libidn is maintained as a Texinfo manual. If the info and libidn programs are properly installed at your site, the command

    info libidn

should give you access to the complete manual. As an alternative you may obtain the manual from:

    https://www.gnu.org/software/libidn/manual/